summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJonas Smedegaard <dr@jones.dk>2010-10-24 18:18:14 +0200
committerJonas Smedegaard <dr@jones.dk>2010-10-24 18:18:14 +0200
commitbe64bad31752d30e070e8200af6b3032fa47e498 (patch)
tree6f4222a8d6853772aa92e5ead2f9449cf0e0a157
parent0ca8c4580e76c2a8a9935ca2f4d838ee72b238d4 (diff)
Add new convenience wrapper localaddwebuser.
-rwxr-xr-xlocaladdwebuser32
1 files changed, 32 insertions, 0 deletions
diff --git a/localaddwebuser b/localaddwebuser
new file mode 100755
index 0000000..9747c9d
--- /dev/null
+++ b/localaddwebuser
@@ -0,0 +1,32 @@
+#!/bin/sh
+#
+# Copyright © 2010, Jonas Smedegaard <dr@jones.dk>
+# Description: Setup web account for Redpill <http://www.redpill.dk>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+set -e
+
+exit1() {
+ echo >&2 "ERROR: $1"
+ exit 1
+}
+
+echo "$1" | grep -q '^[a-z][a-z0-9-]*$' || exit1 "Illegal character in username!"
+
+user="www-$1"
+desc="$2"
+
+adduser --disabled-password --gecos "$desc" "$user"